Bug 133374 - Upgrade sip to version 4.x
Upgrade sip to version 4.x
Product: Fedora
Classification: Fedora
Component: sip (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
Blocks: FC3Target 133375
  Show dependency treegraph
Reported: 2004-09-23 12:10 EDT by Bryan O'Sullivan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-24 11:43:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryan O'Sullivan 2004-09-23 12:10:15 EDT
Description of problem:

The version of sip bundled with Fedora Core is version 3.x, which uses
the old Python threading API.  This causes Python applications that
use sip (such as PyQt) to interface to C++ code to crash

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Write a small PyQt program (PyQt uses sip to generate bindings to Qt).
2. Run it.
3. Exit normally.
Actual results:

The program always segfaults.

Expected results:

If PyQt is compiled with sip 4.x, the program will not crash.

Additional info:

As of the time of this report, the current version of sip is 4.1.  I
have a working spec file that builds RPMs for both i386 and x86_64; I
would expect it to work on other arches, too.
Comment 1 Bryan O'Sullivan 2004-09-23 12:22:44 EDT
I've attached a test case (attachment id=104197) to bug 133375 to
illustrate the problem with sip 3.x.
Comment 2 Ngo Than 2004-09-24 11:43:51 EDT
i have updated PyQt-3.13-1 and sip-4.1. both will show up in rawhide soon.

Note You need to log in before you can comment on or make changes to this bug.